<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>マクロ</title>
<style type="text/css">
h2 {
    clear: left;
    padding-top: 1em;
}

div.macro {
    width: 48em;
    clear: left;
}

ul.pulldown-menu-header {
    background-color: #ffffdd;
    text-align: center;
}

ul.pulldown-menu-header li:hover {
    background-color: #ffffdd !important;
}

ul.ctrl {
    background-color: white;
}

ul.alt {
    background-color: #eeeeff;
}

ul.pulldown-menu {
    margin: 0px;
    padding: 0px;
    position: relative;
    float: left;
}

ul.pulldown-menu a {
    color: black;
    text-decoration: none;
}

ul.pulldown-menu a:link,
ul.pulldown-menu a:visited {
    background-color: white;
}

ul.pulldown-menu a:hover,
ul.pulldown-menu a:active {
    background-color: #ffeeee;
}

ul.pulldown-menu li {
    float: left;
    position: relative;
    margin: 0px 0px;
    padding: 0px;
    list-style-type: none;
    display: block;
    border: black solid 1px;
    width: 4em;
    overflow: hidden;
}

ul.pulldown-menu li:hover {
    background-color: #ffeeee;
    overflow: visible;
}

ul.pulldown-menu li a {
    display: block;
    width: 4em;
    text-align: left;
}

ul.pulldown-menu li ul {
    margin: 0px;
    padding: 0px;
    display: none;
    position: absolute;
}

ul.pulldown-menu li:hover ul {
    margin: 0px;
    padding: 0px;
    position: absolute;
    left: -5px;
    top: 1em;
    z-index: 100;
    display: block;
    background-color: white;
}

ul.pulldown-menu li ul li {
    margin: 0px;
    padding: 8px 4px 4px 4px;
    float: none;
    width: 22em;
    border: black solid 1px;
}

</style>
</head>
<body>
<h1>マクロ</h1>
!{@books.each_index do |i|}
<h2 id="book%{i+1}">%{@titles[i]}</h2>
!{@books[i].each_index do |j|}
!{next if @books[i][j].length == 0}
<div class="macro">パレット%{j+1}
<ul class="pulldown-menu pulldown-menu-header">
    <li>&nbsp;</li>
    <li>1</li>
    <li>2</li>
    <li>3</li>
    <li>4</li>
    <li>5</li>
    <li>6</li>
    <li>7</li>
    <li>8</li>
    <li>9</li>
    <li>0</li>
</ul>
<ul class="pulldown-menu ctrl">
    <li style="background-color: white;">Ctrl(L2)</li>
!{@books[i][j].each_index do |k|}
!{next if k >= 10}
    <li><a href="#">%{@books[i][j][k]['name']}</a>
        <ul>
!{@books[i][j][k]['lines'].each do |l|}
            <li>%{l}</li>
!{end}
        </ul>
    </li>
!{end}
</ul>
<ul class="pulldown-menu alt">
    <li style="background-color: white;">Alt(R2)</li>
!{@books[i][j].each_index do |k|}
!{next if k < 10}
    <li><a href="#">%{@books[i][j][k]['name']}</a>
        <ul>
!{@books[i][j][k]['lines'].each do |l|}
            <li>%{l}</li>
!{end}
        </ul>
    </li>
!{end}
</ul>
</div>
!{end}
<p> </p>
!{end}

</body>
</html>
